#define _CRT_SECURE_NO_WARNINGS		// 定义_CRT_SECURE_NO_WARNINGS为一个宏，关闭一些不安全的警告信息
#include "stdio.h"					// 包含标准输入输出库
#include "windows.h"				// 包含Windows系统库
#include "stdlib.h"					// 包含标准库
#include "my_winapi.h"

int WINAPI WinMain(
    HINSTANCE hInstance,
    HINSTANCE hPrevInstance,
    LPSTR szCmdLine,
    int iCmdShow)
{
    MSG Msg;
    BOOL bRet;

    My_Register_Class(hInstance, "Random"); // 注册窗口类

    if (!Init_Instance(hInstance, SW_SHOWNORMAL, "Random", "Random")) { // 初始化窗口实例
        return FALSE;
    }

    while ((bRet = GetMessage(&Msg, NULL, 0, 0)) != 0) { // 获取消息循环
        if (bRet == -1) {
            break;
        }
        else {
            TranslateMessage(&Msg); // 翻译消息
            DispatchMessage(&Msg); // 分发消息
        }
    }

    return Msg.wParam; // 返回消息参数
}
